Update repo on page move
Closed, ResolvedPublic

Description

Details

Reference
bz36729
jeblad created this task.May 10 2012, 7:34 AM

It is a question here what user will do the update. It is probably the best that, if the user who moves the page has single sign-on, that user updates the item. If not, it could be some default Wikibase user, or user 0; the remote user's username may be shown in the revision, and/or be put in the move comment.

Consider bug 41038 as an alternative or partial solution.

(In reply to comment #2)

Consider bug 41038 as an alternative or partial solution.

There's also the question of how to deal with redirects: currently they're completely ignored by wikidata, as far as I understand (also for search). I don't know if some additional partial solution may come from that.

(In reply to comment #3)

(In reply to comment #2)
> Consider bug 41038 as an alternative or partial solution.

There's also the question of how to deal with redirects: currently they're
completely ignored by wikidata, as far as I understand (also for search). I
don't know if some additional partial solution may come from that.

Actually, pages which are redirects can be used as sitelinks, I wrote [[d:Wikidata:Requests for permissions/Legobot]] as a solution to that.

(In reply to comment #4)

Actually, pages which are redirects can be used as sitelinks, I wrote
[[d:Wikidata:Requests for permissions/Legobot]] as a solution to that.

Good! That's not a "fix" in wikidata itself, though, it's like the interwiki bots updating all languages.
Users expect moves not to break interwikis, even temporarily: whether this is a reasonable expectation or not, I've no idea.

Users expect moves not to break interwikis, even temporarily:
whether this is a reasonable expectation or not, I've no idea.

That's a perfectly reasonable expectation. This bug should have a higher priority.

I came here to report this bug. I noticed that after very experienced user moved [[pl:Szablon:User bot master]] to [[pl:Wikipedysta:Userboksy/właściciel bota 2]] the associated interwikis at [[d:Q6478632]] were not updated.

  • Bug 46451 has been marked as a duplicate of this bug. ***

Consider bug 45912 as an alternative solution.

FocalPointX wrote:

(In reply to comment #6)

> Users expect moves not to break interwikis, even temporarily:
> whether this is a reasonable expectation or not, I've no idea.

That's a perfectly reasonable expectation. This bug should have a higher
priority.

It is a perfectly reasonable expectation.

Related URL: https://gerrit.wikimedia.org/r/65648 (Gerrit Change Iad9bd7065bb0874ebf52e65a8558fc8f091bdeec)

Fixed in Iad9bd7065bb0874ebf52e65a

hoo added a comment.Jun 26 2013, 4:46 PM

Change has been merged, it will take some time till it's deployed on the wikis.

Please notice that it will only work for users having a global account that is attached on both the client wiki (the Wikipedias) and on the repo (Wikidata.org).

Denny added a comment.Jul 3 2013, 1:28 PM

Will be deployed on July 8th or 12th.

aude added a comment.Jul 12 2013, 2:39 PM

This feature just missed the cutoff for the deployment yesterday. The next deployment of wikidata code to the wikipedias is scheduled for July 25. (and to Wikivoyage, probably a few days earlier)

Dalba added a comment.Jul 25 2013, 8:33 AM

How about adding an option like "Move associated interwikis" to [[Special:MovePage/.*]]?

Sometimes automatic update of interwikis is not desired, for example in some local wikis they use 'move' for archiving village pumps, ANBs, and some other pages. These pages usually don't need interwiki update because the new page will be created at the same place soon afterwards.

hoo added a comment.Jul 25 2013, 1:38 PM

(In reply to comment #16)

How about adding an option like "Move associated interwikis" to
[[Special:MovePage/.*]]?

That's another issue... could you please open a new bug for that?

burthsceh wrote:

(In reply to comment #16 and comment #17)
I send Bug 53304 and Bug 53305.

Add Comment